#%define _missing_doc_files_terminate_build 0
#%define _unpackaged_files_terminate_build 0

Summary: The Motif matrix and caption widgets.
Name: Xbae
Version: 4.50.0
Release: 2
License: Distributable
Group: System Environment/Libraries
Source: ftp://ftp.x.org/contrib/widgets/motif/Xbae-%{version}.tar.gz
URL: http://xbae.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: lesstif-devel >= 0.93.36
Conflicts: lesstif < 0.93.15
Conflicts: lesstif-devel < 0.93.15
Prefix: /usr/X11R6

%description
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use Xbae's widgets.

%package devel
Summary: Static library and header files for Xbae development.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use Xbae's widgets.

This package provides the libraries, include files, and other
resources needed for developing Xbae applications.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
            --libdir=%{prefix}/%{_lib} \
            --enable-static \
            --enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
%{prefix}/%{_lib}/*so.*

%files devel
%defattr(-,root,root)
%{prefix}/include/*
%{prefix}/man/man?/*
%{prefix}/%{_lib}/*so
%{prefix}/%{_lib}/*.a
%{prefix}/%{_lib}/*.la

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 4.9.1-5
- libdir issue

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 28 2001 Than Ngo <than@redhat.com> 4.9.1-1
- separate rpm

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- add Conflicts lesstif and lesstif-devel to fix bug #15617

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- added postun section, fix bug #15001

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- patched to compile cleanly (patch2)

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Apr 26 2000 TIm Powers <timp@redhat.com>
- updated to 4.7

* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- rebuilt, not including examples

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- fix perms in docs

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt pacakge; cleaned up spec file

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to Xabelin-4.6.2.4

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>
- built the package.
